Bug 1272454 - WebUI: HTML5 Console: Unable to connect html5 console for rhevm vm's with SPICE display
WebUI: HTML5 Console: Unable to connect html5 console for rhevm vm's with SPI...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Martin Povolny
Ramesh A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 08:43 EDT by Ramesh A
Modified: 2015-12-08 08:39 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:39:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramesh A 2015-10-16 08:43:44 EDT
Description of problem:
Unable to connect html5 console for rhevm vm's with SPICE display

Version-Release number of selected component (if applicable):
5.4.3.0.20151001120745_d11cf59

How reproducible:
100%

Steps to Reproduce:
1. Deploy cfme appliance and manage rhevm environment (rhevm-3.4 or rhevm-3.5)
2. Configure html5 settings
3. Infrastructure ==> Virtual Machines ==> Select any VM running on SPICE display and click on the html5 console button

Actual results:
Does not display the vm in new window (shows blank page) with "Ctrl-Alt-Del" button.
Works fine for VNC display

Upon investigation found the following details:
1. Connecting (unencrypted) to: in white font just below the "Ctrl-Alt-Del" button
2. Developer tools displays the error message stating - "Uncaught ReferenceError: vnc_el is not found"

Refer the screenshot for more details

Expected results:
Should be able to see the vm in html5 console

Additional info:
Comment 2 Martin Povolny 2015-10-26 15:05:05 EDT
upstream PR: https://github.com/ManageIQ/manageiq/pull/5125
Comment 3 CFME Bot 2015-10-26 15:59:41 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/3093476429674d9f2096dda031659811ec076f7b

commit 3093476429674d9f2096dda031659811ec076f7b
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Mon Oct 26 20:01:37 2015 +0100
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Mon Oct 26 20:01:37 2015 +0100

    Fix a bug in SPICE console init.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1272454

 app/views/vm_common/console_spice.html.haml | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)
Comment 4 Martin Povolny 2015-11-05 03:52:20 EST
in 5.5
Comment 5 Ramesh A 2015-11-17 05:35:19 EST
Good to go.  Verified and working fine in 5.5.0.10-beta2.1.20151110134042_d6f5459
Comment 7 errata-xmlrpc 2015-12-08 08:39:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.